Delete customer
Deletes a customer and all associated integrations. This action cannot be undone.
DELETE
/
screening
/
trlink
/
customers
/
{customerId}
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.tRLink.deleteTRLinkCustomer(tRLinkApiDeleteTRLinkCustomerRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.tRLink().deleteTRLinkCustomer(customerId);response = fireblocks.t_r_link.delete_t_r_link_customer(customer_id);curl --request DELETE \
--url https://api.fireblocks.io/v1/screening/trlink/customers/{customerId}const options = {method: 'DELETE'};
fetch('https://api.fireblocks.io/v1/screening/trlink/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"code": 123
}Path Parameters
Customer unique identifier
Response
Customer deleted successfully
Was this page helpful?
Previous
Get customer integrationsRetrieves all TRSupport integrations for a specific customer. Returns a list of partner integrations configured for Travel Rule compliance.
Next
⌘I
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.tRLink.deleteTRLinkCustomer(tRLinkApiDeleteTRLinkCustomerRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.tRLink().deleteTRLinkCustomer(customerId);response = fireblocks.t_r_link.delete_t_r_link_customer(customer_id);